Get report
curl --request GET \
--url https://api.nops.io/v1/reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/reports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"report": {
"id": "report-1",
"name": "AWS Spend by Account",
"scope": "private",
"config": {
"dateRange": {
"start": "2026-05-31",
"end": "2026-06-29"
},
"groupBy": "product_product_name",
"costType": "line_item_unblended_cost",
"granularity": "day",
"filters": []
},
"organizationId": "org-1",
"nopsClientId": 42,
"creatorId": "user-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"creator": {
"id": "user-1",
"firstName": "FinOps",
"lastName": "Analyst",
"email": "finops@example.com"
}
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Reports
Get report
GET
https://api.nops.io
/
v1
/
reports
/
{id}
Get report
curl --request GET \
--url https://api.nops.io/v1/reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/reports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"report": {
"id": "report-1",
"name": "AWS Spend by Account",
"scope": "private",
"config": {
"dateRange": {
"start": "2026-05-31",
"end": "2026-06-29"
},
"groupBy": "product_product_name",
"costType": "line_item_unblended_cost",
"granularity": "day",
"filters": []
},
"organizationId": "org-1",
"nopsClientId": 42,
"creatorId": "user-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"creator": {
"id": "user-1",
"firstName": "FinOps",
"lastName": "Analyst",
"email": "finops@example.com"
}
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I